<?php
/*======================================================================*\
|| #################################################################### ||
|| # Set Default Thread Order for Forums  1.1 PL1
|| # Build: 9
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/


class Ragtek_TO_ControllerPublic_Forum extends
    XFCP_Ragtek_TO_ControllerPublic_Forum
{
    protected function _getDefaultThreadSort(array $forum)
    {
        if ($forum['ragtek_custom_sort']){

            // strtolower wouldn't be necessary, but there's sadly no system in xf for this, sometimes they user ASC and sometimes asc and sometimes is strtolower being used and sometimes not.....
            return array($forum['ragtek_sort_options'], strtolower($forum['ragtek_sort_order_dir']));
        }
        return parent::_getDefaultThreadSort($forum);

    }
}