<?php
/*======================================================================*\
|| #################################################################### ||
|| # Set Default Thread Order for Forums  1.1 PL1
|| # Build: 9
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/


class Ragtek_TO_StaticMethods
{
    public static function templateHooks($name, &$contents, array $params, XenForo_Template_Abstract $template)
    {
        if ($name == 'forum_edit_basic_information') {
            $contents .= $template->create('ragtek_to_edit_forum', $template->getParams());
        }
    }

    public static function listener($class, &$extend)
    {
        if ($class == 'XenForo_ControllerAdmin_Forum') {
            $extend[] = 'Ragtek_TO_ControllerAdmin_Forum';
        }

        if ($class == 'XenForo_ControllerPublic_Forum') {
            $extend[] = 'Ragtek_TO_ControllerPublic_Forum';
        }

        if ($class == 'XenKingDir_ControllerPublic_Directory'){
            $extend[] = 'Ragtek_TO_ControllerPublic_Directory';
        }
    }

    public static function listenerDW($class, &$extend)
    {
        if ($class == 'XenForo_DataWriter_Forum') {
            $extend[] = 'Ragtek_TO_DW_Forum';
        }
    }

    public static function fileHashes(XenForo_ControllerAdmin_Abstract $controller, array &$hashes)
    {
        $fileHashes = Ragtek_TO_Hashes::getHashes();
        $hashes += $fileHashes;
    }
}