<?php
/*======================================================================*\
|| #################################################################### ||
|| # Set Default Thread Order for Forums  1.1 PL1
|| # Build: 9
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/


class Ragtek_TO_ControllerPublic_Directory extends
    XFCP_Ragtek_TO_ControllerPublic_Directory
{
    protected function _preDispatch($action)
    {
        if ($action == 'Index') {
            $options = XenForo_Application::getOptions();
            $forum = $this->getModelFromCache('XenForo_Model_Forum');
            $forum = $forum->getForumById($options->directoryForum);
            if ($forum['ragtek_custom_sort']) {
                $defaultOrder = 'last_post_date';
                $defaultOrderDirection = 'desc';
                $order = $this->_input->filterSingle('order', XenForo_Input::STRING, array('default' => $defaultOrder));
                $orderDirection = $this->_input->filterSingle('direction', XenForo_Input::STRING, array('default' => $defaultOrderDirection));

                // we don't have a custom value, so we're allowed to change it:)
                if (($order == $defaultOrder) AND ($orderDirection == $defaultOrderDirection)) {
                    $this->_request->setParam('order', $forum['ragtek_sort_options']);
                    $this->_request->setParam('direction', $forum['ragtek_sort_order_dir']);
                }
            }
        }
    }
}