<?php
/*======================================================================*\
|| #################################################################### ||
|| # Set Default Thread Order for Forums  1.1 PL1
|| # Build: 9
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/


class Ragtek_TO_DW_Forum extends
    XFCP_Ragtek_TO_DW_Forum
{
    const RAGTEK_FORUM_REGISTRY_KEY = 'ragtek_last_edited_forum';


    protected function _getFields()
    {
		$fields = parent::_getFields();

        $fields['xf_forum']['ragtek_sort_options'] = array('type' => self::TYPE_STRING, 'allowedValues' => array('title', 'post_date', 'reply_count', 'view_count', 'last_post_date'), 'default' => 'post_date');
        $fields['xf_forum']['ragtek_sort_order_dir'] =   array('type' => self::TYPE_STRING, 'allowedValues' => array('ASC', 'DESC'), 'default' => 'DESC');
        $fields['xf_forum']['ragtek_custom_sort'] = array('type' => self::TYPE_BOOLEAN, 'default' => 0);
        return $fields;
    }


    protected function _postSave(){
        parent::_postSave();
        XenForo_Application::set(Ragtek_TO_DW_Forum::RAGTEK_FORUM_REGISTRY_KEY, $this->getMergedData());
    }
}